#include "Torsion_angle.h"

#include "Atom.h"

namespace MM
{

Torsion_angle::
Torsion_angle (Atom const & atom1,
               Atom const & atom2,
               Atom const & atom3,
               Atom const & atom4 )
:
    Dihedral_angle (atom1.position(),
                    atom2.position(),
                    atom3.position(),
                    atom4.position()),
    atom1_(atom1),
    atom2_(atom2),
    atom3_(atom3),
    atom4_(atom4)
{
    REQUIRE( "Atoms 1-2, 2-3 and 3-4 are bound.", true ); //fix
}

}//MM
